| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
ScrollWrap Class Reference
PDFViewCtrl » interfaces

Scroll bar container component, Controls the scrolling of a pdfviewer view
. More...

Inheritance diagram for ScrollWrap:

## Public Member Functions
| getHeight ()
| Gets the height of the view. More...
| getScrollHost ()
| Gets the host of the scroll bar that needs to be listened to for scroll events. . More...
| getScrollLeft ()
| Viewer's scroll bar left value. More...
| getScrollOffsetLeft ()
| Viewer relative to the left of the scroll hosts. More...
| getScrollOffsetTop ()
| Viewer relative to the top of the scroll hosts. More...
| getScrollTop ()
| Viewer's scroll bar top value. More...
| getScrollX ()
| Gets the value of the horizontal scroll bar. More...
| getScrollY ()
| Gets the value of the vertical scroll bar. More...
| getWidth ()
| Holds the width of the view. More...
| scrollBy (x, y)
| Scroll to relative position. More...
| scrollTo (x, y)
| Scroll to position. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Detailed Description

Scroll bar container component, Controls the scrolling of a pdfviewer view
.

Example:
  function example () {
  new PDFViewer({
  customs: {
  ScrollWrap: class CustomScrollWrap extends ScrollWrap {
  constructor (viewerRender) {
  super(viewerRender)
  }
  }
  }
  })
  }

## Member Function Documentation

## ◆ getHeight()

ScrollWrap::getHeight | ( |  | ) |
| inline

Gets the height of the view.

Returns
  number -

## ◆ getScrollHost()

ScrollWrap::getScrollHost | ( |  | ) |
| inline

Gets the host of the scroll bar that needs to be listened to for scroll events.
.

Returns
  Window|Document|HTMLElement|Element -

## ◆ getScrollLeft()

ScrollWrap::getScrollLeft | ( |  | ) |
| inline

Viewer's scroll bar left value.

Returns
  number -

## ◆ getScrollOffsetLeft()

ScrollWrap::getScrollOffsetLeft | ( |  | ) |
| inline

Viewer relative to the left of the scroll hosts.

Returns
  number -

## ◆ getScrollOffsetTop()

ScrollWrap::getScrollOffsetTop | ( |  | ) |
| inline

Viewer relative to the top of the scroll hosts.

Returns
  number -

## ◆ getScrollTop()

ScrollWrap::getScrollTop | ( |  | ) |
| inline

Viewer's scroll bar top value.

Returns
  number -

## ◆ getScrollX()

ScrollWrap::getScrollX | ( |  | ) |
| inline

Gets the value of the horizontal scroll bar.

Returns
  number -

## ◆ getScrollY()

ScrollWrap::getScrollY | ( |  | ) |
| inline

Gets the value of the vertical scroll bar.

Returns
  number -

## ◆ getWidth()

ScrollWrap::getWidth | ( |  | ) |
| inline

Holds the width of the view.

Returns
  number -

## ◆ scrollBy()

ScrollWrap::scrollBy | ( |  | x,
|  |  | y
| ) |  |
| inline

Scroll to relative position.

Parameters

  x | number -
  y | number -

## ◆ scrollTo()

ScrollWrap::scrollTo | ( |  | x,
|  |  | y
| ) |  |
| inline

Scroll to position.

Parameters

  x | number -
  y | number -

@2025 Foxit Software Incorporated. All rights reserved.